Name:           perl-Unicode-Stringprep
Summary:        Preparation of Internationalized Strings (RFC 3454)
Version:        1.104
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Unicode-Stringprep/
Source0:        http://www.cpan.org/authors/id/C/CF/CFAERBER/Unicode-Stringprep-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Unicode::Normalize)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module implements the stringprep framework for preparing Unicode
text strings in order to increase the likelihood that string input and
string comparison work in ways that make sense for typical users
throughout the world. The stringprep protocol is useful for protocol
identifier values, company and personal names, internationalized domain
names, and other text strings.


%prep
%setup -q -n Unicode-Stringprep-%{version}

# Convert the README file to UTF-8
iconv -f ISO_8859-1 -t UTF8 README > README.utf8
mv README.utf8 README


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes eg LICENSE README
%{perl_vendorlib}/Unicode
%{_mandir}/man3/Unicode::Stringprep*3pm*


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.104-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 1.104-4
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.104-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.104-2
- Make sure the README file is UTF-8 encoded.
- Add the missing default Perl filter.
- Add missing build requirements.

* Fri Jan 04 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.104-1
- Initial package for Fedora, with help from cpanspec.
